Class AbstractControlPlaneIntegrationTest

java.lang.Object
org.mockserver.testing.integration.mock.AbstractMockingIntegrationTestBase
org.mockserver.testing.integration.mock.AbstractControlPlaneIntegrationTest

public abstract class AbstractControlPlaneIntegrationTest extends AbstractMockingIntegrationTestBase
Transport-agnostic control-plane integration tests.

These tests exercise MockServer control-plane API semantics (verify, clear, reset, retrieve, error validation) with ONLY path-based request matching. They are intentionally run once (against a single transport) rather than per-transport, because they do NOT exercise request body / header / cookie WIRE decoding.

Extracted from AbstractBasicMockingIntegrationTest and AbstractExtendedMockingIntegrationTest as part of integration-test inheritance decomposition step 1.

See Also:
  • Constructor Details

    • AbstractControlPlaneIntegrationTest

      public AbstractControlPlaneIntegrationTest()
  • Method Details

    • localNotFoundResponse

      protected HttpResponse localNotFoundResponse()
    • shouldVerifyNoRequestsReceived

      public void shouldVerifyNoRequestsReceived()
    • shouldVerifyNotEnoughRequestsReceived

      public void shouldVerifyNotEnoughRequestsReceived()
    • shouldVerifyNotEnoughRequestsReceivedWithMaximumNumberOfRequestToReturnInFailure

      public void shouldVerifyNotEnoughRequestsReceivedWithMaximumNumberOfRequestToReturnInFailure()
    • shouldVerifyReceivedRequestsByExpectationId

      public void shouldVerifyReceivedRequestsByExpectationId()
    • shouldVerifyReceivedRequestsByExpectationIdWithIdenticalRequestMatchers

      public void shouldVerifyReceivedRequestsByExpectationIdWithIdenticalRequestMatchers()
    • shouldVerifySequenceOfRequestsReceived

      public void shouldVerifySequenceOfRequestsReceived()
    • shouldVerifySequenceOfRequestsReceivedByExceptionId

      public void shouldVerifySequenceOfRequestsReceivedByExceptionId()
    • shouldVerifySequenceOfRequestsReceivedByExceptionIdWithIdenticalRequestMatchers

      public void shouldVerifySequenceOfRequestsReceivedByExceptionIdWithIdenticalRequestMatchers()
    • shouldVerifySequenceNotFoundWithMaximumNumberOfRequestToReturnInFailure

      public void shouldVerifySequenceNotFoundWithMaximumNumberOfRequestToReturnInFailure()
    • shouldRetrieveRecordedRequests

      public void shouldRetrieveRecordedRequests()
    • shouldClearExpectationsAndLogs

      public void shouldClearExpectationsAndLogs()
    • shouldReset

      public void shouldReset()
    • shouldErrorForInvalidExpectation

      public void shouldErrorForInvalidExpectation() throws Exception
      Throws:
      Exception
    • shouldErrorForInvalidRequest

      public void shouldErrorForInvalidRequest() throws Exception
      Throws:
      Exception
    • shouldRemoveExpiredTimeToLiveFromActiveExpectations

      public void shouldRemoveExpiredTimeToLiveFromActiveExpectations() throws InterruptedException
      Throws:
      InterruptedException
    • shouldVerifyReceivedRequestsWithNoBody

      public void shouldVerifyReceivedRequestsWithNoBody()
    • shouldVerifyReceivedRequestsWithNoMatchingExpectation

      public void shouldVerifyReceivedRequestsWithNoMatchingExpectation()
    • shouldVerifyTooManyRequestsReceived

      public void shouldVerifyTooManyRequestsReceived()
    • shouldVerifyNoMatchingRequestsReceived

      public void shouldVerifyNoMatchingRequestsReceived()
    • shouldNotVerifyNoRequestsReceived

      public void shouldNotVerifyNoRequestsReceived()
    • shouldVerifySequenceOfRequestsNotReceived

      public void shouldVerifySequenceOfRequestsNotReceived()
    • shouldClearExpectationsOnly

      public void shouldClearExpectationsOnly()
    • shouldClearExpectationsOnlyByExpectationId

      public void shouldClearExpectationsOnlyByExpectationId()
    • shouldClearExpectationsWithIdenticalRequestMatchersByExpectationId

      public void shouldClearExpectationsWithIdenticalRequestMatchersByExpectationId()
    • shouldClearLogsOnly

      public void shouldClearLogsOnly()
    • shouldClearLogsOnlyByExpectationId

      public void shouldClearLogsOnlyByExpectationId()
    • shouldClearAllExpectationsWithNull

      public void shouldClearAllExpectationsWithNull()
    • shouldClearAllExpectationsWithEmptyRequest

      public void shouldClearAllExpectationsWithEmptyRequest()